package com.pixelized.headache.ui.navigation.destination

import androidx.navigation3.runtime.EntryProviderScope
import com.pixelized.headache.ui.navigation.home.HomeDestination
import com.pixelized.headache.ui.navigation.home.HomeNavigator
import com.pixelized.headache.ui.page.summary.report.ReportPage

data object ReportDestination : HomeDestination

fun EntryProviderScope<Any>.reportDestinationEntry() {
    entry<ReportDestination> {
        ReportPage()
    }
}

fun HomeNavigator.navigateToReport() {
    goTo(ReportDestination)
}